## org.eclipse.wst.server.core
Interface IServer.IOperationListener

Enclosing interface:
  IServer

    public static interface IServer.IOperationListener

An operation listener is used to receive notification back about a specific server operation, such as starting or stopping a server.

Since:
  1.0

Method Summary
`void` `done(IStatus result)` Called once when the operation is complete.

Method Detail

### done

    void done(IStatus result)

  Called once when the operation is complete.

  Parameters:
    `result` - a status object with code `IStatus.OK` if the operation completed successfully, otherwise a status object indicating why it didn't